Change Reservation
curl --request PATCH \
--url https://api.jtl-cloud.com/erp/wms/{warehouseId}/picklists/{picklistId}/positions/{picklistPositionId}/changeReservation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"StorageLocationList": [
123
]
}
'import requests
url = "https://api.jtl-cloud.com/erp/wms/{warehouseId}/picklists/{picklistId}/positions/{picklistPositionId}/changeReservation"
payload = { "StorageLocationList": [123] }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({StorageLocationList: [123]})
};
fetch('https://api.jtl-cloud.com/erp/wms/{warehouseId}/picklists/{picklistId}/positions/{picklistPositionId}/changeReservation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"UpdatedPositions": [
{
"Id": 123,
"WarehouseId": 123,
"PicklistId": 123,
"StorageLocationId": 123,
"ItemId": 123,
"Quantity": 123,
"Priority": 123,
"SalesOrderLineItemId": 123,
"CreatedAt": "2023-11-07T05:31:56Z",
"SalesOrderId": 123
}
]
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}wms
Change Reservation
deprecated
Change reservation from a pick list position
PATCH
/
wms
/
{warehouseId}
/
picklists
/
{picklistId}
/
positions
/
{picklistPositionId}
/
changeReservation
Change Reservation
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
The id of the wms warehouse where the pick list should be created.
The id of the pick list.
The id of the pick list position.
Body
application/json
The relevant information to change a pick list position.
Model Class: UpdateChangeReservation
Id of the storage location from where the pick should happen.
Was this page helpful?
⌘I